import Logging from "@hibas123/nodelogging";
import * as dotenv from "dotenv";

interface IConfig {
   port: number;
   admin: string;
   access_log: boolean;
   dev: boolean
}

const config: IConfig = {
   port: Number(process.env.PORT),
   access_log: (process.env.ACCESS_LOG || "").toLowerCase() === "true",
   admin: process.env.ADMIN_KEY,
   dev: (process.env.DEV || "").toLowerCase() === "true"
}

dotenv.config()

export default config;